Skip to content

List document metadata

Request

Returns a paginated list of document metadata fields for the specified organization.

Security
Bearer or PersonalAccessToken
Path
organizationIdstring, (uuid)required

Unique identifier of the organization

Query
Pageinteger, (int32)

The page number.

Example:Page=1
PageSizeinteger, (int32)

The number of items per page.

Example:PageSize=20
GET
/api/v1/organizations/{organizationId}/document-metadata
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/document-metadata?Page=1&PageSize=20' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
documentMetadataArray of anyrequired

The metadata fields on the current page.

paginationobject(PaginationResponse)required

Pagination metadata.

Response
{ "documentMetadata": [ { … }, { … }, { … }, { … } ], "pagination": { "page": 1, "pageSize": 20, "totalCount": 4 } }